@import "../../scss/importer";

.session-progress-filters {
  display: flex;
  align-items: flex-start;
  // border-bottom: 1px solid $cgn-grey;
  margin-bottom: 8px;
  padding-left: 0;
  transition: 0.3s;
  position: relative;
  z-index: 10;
  padding: 15px 15px 0 15px;
  @include breakpoint(medium down) {
    flex-direction: column;
  }
  padding-bottom: 8px;
  &::after {
    content: "";
    position: absolute;
    width: 0;
    bottom: 0;
    left: 0;
    height: 1px;
    transition: .3s ease-in-out;
    background: $cgn-grey;
    margin-left: 16px;
    margin-right: 16px;
  }
  &.activated {
    &::after {
      content: "";
      width: 100%
    }
  }
  &.showCheckbox {
    @include breakpoint(medium down) {
      padding-left: 48px;
    }
    .session-progress__checkbox {
      position: absolute;
      left: -48px;
      top: 0;
      bottom: 0;
      display: block;
      margin: auto;
      display: flex;
      align-items: flex-start;

      @include breakpoint(medium down) {
        left: 0;
      }
    }
  }
  .session-progress__checkbox {
    display: none;
  }
  .first-wrapper {
    width: 58%;
    display: flex;
    @include breakpoint(medium down) {
      flex: 1 0 100%;
      width: 100%;
      margin-bottom: 16px;
    }
    @include breakpoint(mid-small down) {
      flex-direction: column;
    }
  }
  .second-wrapper {
    width: 42%;
    display: flex;
    align-items: center;
    transform: translateY(20px);
    opacity: 0;
    transition: 0.3s;
    &.gridTriggered {
      transform: translateY(0);
      opacity: 1;
    }
    @include breakpoint(medium down) {
      flex: 1 0 100%;
      width: 100%;
    }
    @include breakpoint(mid-small down) {
      flex-direction: column;
    }
  }
  &__name {
    flex: 0 0 20%;
    color: $cgn-dark;
    padding-right: 8px;
    @include breakpoint(medium down) {
      flex: 1 0 40%;
    }
    @include breakpoint(mid-small down) {
      margin-bottom: 16px;
    }
    .mobile-pin {
      display: none;
      p {
        margin: 0 0 0 0;
        font-size: 14px;
        font-weight: 800;
        margin-right: 8px;
      }
      p,
      span {
        display: inline-block;
      }
    }
    p {
      margin: 0;
    }
    @include breakpoint(large down) {
      // color: red !important;
      .mobile-pin {
        display: block;
      }
    }
  }
  &__pin {
    flex: 0 0 20%;
    color: $cgn-dark;
    display: flex;
    flex-direction: column;
    @include breakpoint(large down) {
      display: none;
    }
    span.pin-text {
      margin: 0 0 0 0;
      font-size: 14px;
      font-weight: 800;
    }
    span:not(.pin-text) {
      margin: 0;
      line-height: 18px !important;
    }
  }
  &__progress {
    flex: 1 0 50%;
    @include breakpoint(medium down) {
      flex: 1 0 60%;
    }
    @include breakpoint(mid-small down) {
      margin-bottom: 16px;
    }
    .progress-text {
      display: flex;
      align-items: flex-start;
      align-self: baseline;
      margin-bottom: 8px;
      p {
        font-size: 12px;
        margin-top: 0;
        margin-bottom: 0;
        color: $cgn-dark;
        &.progress-number {
          margin-right: 16px;
        }
      }
    }
    .progress {
      width: 100%;
      height: 8px;
      background: $cgn-grey;
      position: relative;
      &::after {
        content: "";
        background: $cgn-blue;
        height: 8px;
        position: absolute;
        left: 0;
        top: 0;
      }
    }
  }
  #restart {
    width: 32px;
    height: 32px;
    transition: 0.3s;
    cursor: pointer;
    &:hover {
      transform: scale(1.2);
    }
  }
  &__chapter {
    // margin-left: auto;
    // margin-right: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 16px 0 16px;
    flex: 0 0 50%;
    color: $cgn-dark;
    // @include breakpoint(large down) {
    //   flex: 0 0 25%;
    // }
    @include breakpoint(medium down) {
      padding: 0 16px 0 0;
    }
    @include breakpoint(mid-small down) {
      padding: 0 0 0 0;
      width: 100%;
    }
    .flex-container {
      display: flex;
      flex-direction: column;
      flex: 0 1 45%;
      @include breakpoint(medium up) {
        flex: 0 0 30%;
      }
      @include breakpoint(large up) {
        flex: 0 0 50%;
      }
      @include breakpoint(xlarge up) {
        flex: 0 0 16%;
      }
      span:first-child {
        font-weight: 800;
      }
      .active-chapter {
        position: relative;
        flex: 0 0 calc(100% - 48px);
        align-self: flex-end;
        line-height: 18px;
      }
    }
    #restart {
      margin-left: 8px;
      flex: 0 1 48px;
      align-self: center;
      margin-left: auto;
      @include breakpoint(xlarge up) {
        margin-right: auto;
      }
      @include breakpoint(mid-small down) {
        margin-right: 0;
        margin-left: auto;
      }
    }
  }
  &__choose-chapter {
    flex: 0 0 30%;
    @include breakpoint(large down) {
      flex: 0 0 50%;
      margin: auto 0;
      padding-left: 8px;
    }
    @include breakpoint(medium down) {
      margin-left: auto;
      text-align: right;
    }
    @include breakpoint(mid-small down) {
      margin-left: 0;
      width: 100%;
      margin: 16px 0;
      text-align: left;
    }
    p:not(.smaller):not(.noChap):not(.list-select) {
      position: relative;
      padding-right: 48px;
      display: inline-block;
      color: $cgn-dark;
      font-weight: 400;
      font-size: 14px;
      @include breakpoint(mid-small down) {
        display: block;
      }
      &::after {
        content: "";
        position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        width: 48px;
        height: 48px;
        background-image: url("../../assets/img/open-n.svg");
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
      }
      &.activated {
        &::after {
          content: "";
          position: absolute;
          right: 0;
          top: 0;
          bottom: 0;
          margin: auto;
          width: 48px;
          height: 48px;
          background-image: url("../../assets/img/open-n.svg");
          background-size: cover;
          background-repeat: no-repeat;
          background-position: center;
          transform: rotate(180deg);
        }
      }
    }
  }
  &__actions {
    flex: 0 0 20%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    @include breakpoint(large down) {
      flex: 0 0 10%;
      margin: auto 0;
    }
    @include breakpoint(mid-small down) {
      justify-content: center;
      margin-bottom: 16px;
      text-align: center;
      width: 100%;
    }
    #mobile-trigger {
      display: block;
      @include breakpoint(xlarge up) {
        display: none;
      }
    }
    p {
      font-size: 14px;
      display: none;
      @include breakpoint(xlarge up) {
        display: block;
      }
      margin-top: 0;
      color: $cgn-blue;
      text-decoration: underline;
      font-weight: 600;
      position: relative;
      padding-right: 32px;
      cursor: pointer;
    }
  }
}

// .dropdown {
//   margin-left: auto;
//   @include breakpoint(medium down) {
//     margin-left: 32px;
//   }
//   @include breakpoint(mid-small down) {
//     margin-left: 0;
//   }
//   a {
//     color: $cgn-blue;
//     cursor: pointer;

//     &:hover {
//       color: $cgn-grey;
//       text-decoration: none;
//     }
//   }
//   .dropdown-content {
//     background-color: #f9f9f9;
//     display: block;
//     position: absolute;
//     max-width: 130px;
//     padding: 8px;
//     z-index: 1;
//     box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
//     a,
//     p {
//       cursor: pointer;
//       float: none;
//       color: $cgn-dark;
//       margin: 4px 0 8px 0;
//       // padding-bottom: 16px;
//       // padding-left: 12px;
//       // padding-right: 12px;
//       text-decoration: none;
//       display: block;
//       text-align: left;
//       transition: 0.3s;
//       position: relative;
//       cursor: pointer;
//       font-weight: 400;
//       font-size: 14px;
//       &:last-of-type {
//         margin-bottom: 4px;
//       }
//       &:hover {
//         color: $cgn-blue;
//       }
//     }
//   }
//   &:hover .dropdown-content {
//     display: block;
//   }
// }

label {
  cursor: pointer;
  display: block;
  input {
    display: none;
  }
  span {
    padding-left: 32px;
    position: relative;
    line-height: 24px;
    &::before {
      height: 16px;
      width: 16px;
      content: "";
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      margin-top: auto;
      margin-bottom: auto;
      border: 1px solid;
      border: 1px solid $cgn-dark;
      box-shadow: 0 0 0 0 rgba($cgn-dark, 1);
      transition: 0.75s;
    }
    &::after {
      content: "";
      position: absolute;
      top: 0;
      bottom: 0;
      left: 3px;
      margin-top: auto;
      margin-bottom: auto;
      height: 12px;
      width: 12px;
      background: $cgn-blue;
      transform: scale(0);
      transition: 0.35s;
    }
  }
  input:checked + span {
    &::before {
      box-shadow: 0 0 8px 4px rgba($cgn-dark, 0);
    }
    &::after {
      transform: scale(1);
    }
  }
  &.child {
    margin-top: 0.75rem;
    padding-left: 24px;
    span {
      padding-left: 24px;
      &::after,
      &::before {
        border-radius: 0;
      }
      &::before {
        width: 16px;
        height: 16px;
      }
      &::after {
        height: 8px;
        width: 8px;
        left: 4px;
      }
    }
  }
  &.main + .child {
    margin-top: 1rem;
  }
}

::ng-deep {
  app-pro-select {
    .select__label {
      bottom: 20px !important;
    }
  }
}

// OLD ONE
// .grid-actions {
//   display: flex;
// 	margin-left: 16px;
// 	margin-right: 16px;
// 	padding: 16px 0;
//   &.gridTriggered {
//     border-bottom: 1px solid $cgn-grey;
//   }
//   &__trigger {
//     flex: 0 0 30%;
// 		display: flex;
// 		align-items: center;
// 		p.select-all-trigger {
// 			margin-left: 32px;
// 			text-decoration: underline;
// 			cursor: pointer;
// 		}
//   }
//   &__actions {
//     flex: 1 0 70%;
//     display: flex;
//     align-items: center;
//     justify-content: flex-end;
//     transition: 0.3s;
//     transform: translateY(20px);
//     opacity: 0;
//     z-index: 100;
//     &.gridTriggered {
//       opacity: 1;
//       transform: translateY(0);
//     }
//     &--placeholder {
//       flex: 0 0 107px;
//       p {
//         opacity: 0;
//       }
//     }
// 		// .wrapper-group-select {
// 		// 	width: 40%;
// 		// 	margin-left: 32px;
// 		// 	margin-right: 32px;
//     //   &::ng-deep .select {
//     //     padding-bottom: 0 !important;
//     //   }
// 		// }
//     #restart {
//       width: 32px;
//       height: 32px;
//       transition: 0.3s;
//       cursor: pointer;
//       &:hover {
//         transform: scale(1.2);
//       }
//     }
//     .choose-chapter {
//       position: relative;
//       padding-right: 48px;
//       font-weight: 600;
//       cursor: pointer;
//       &:hover {
//         text-decoration: underline;
//       }
//       &::after {
//         content: "";
//         position: absolute;
//         right: 0;
//         top: 0;
//         bottom: 0;
//         margin: auto;
//         width: 48px;
//         height: 48px;
//         background: url("../../../../assets/img/open-n.svg");
//       }
//     }
//   }
// }

// .dropdown {
//   margin-left: 32px;
//   @include breakpoint(medium down) {
//     margin-left: 32px;
//   }
//   a {
//     color: $cgn-blue;
//     &:hover {
//       color: $cgn-grey;
//       text-decoration: none;
//     }
//   }
//   .dropdown-content {
//     background-color: #f9f9f9;
//     display: none;
//     position: absolute;
//     min-width: 130px;
//     z-index: 1;
//     box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
//     a,
//     p {
//       float: none;
//       color: $cgn-dark;
//       padding-bottom: 16px;
//       padding-left: 12px;
//       padding-right: 12px;
//       text-decoration: none;
//       display: block;
//       text-align: left;
//       transition: 0.3s;
//       position: relative;
//       cursor: pointer;
//       &:first-of-type {
//         padding-top: 16px;
//       }
//       &:hover {
//         color: $cgn-blue;
//       }
//     }
//   }
//   &:hover .dropdown-content {
//     display: block;
//   }
// }
